Skip to main content
POST
Export report

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

reportId
integer<int64>
required

The ID of the report to export.

Body

application/json
exportType
enum<string>
required

The type of export to perform. Valid values are:

  • SCREENSHOT: Screenshot of the report.
  • CSV: ZIP with one or more CSV files.
  • XLS: ZIP with one or more XLS files.
  • `XLSX: ZIP with one or more XLSX files.
Available options:
CSV,
SCREENSHOT,
XLS,
XLSX
message
string

The message to include with the export. Optional, empty by default.

recipientUserIds
string[]

Array of user IDs to send the export to. If absent or empty, the requesting user is used as the sole recipient; otherwise, this exact set of users is used.

subject
string

The subject line to use for the export. If absent, the name of the requested report will be used. Max length of 100 characters.

Response

Last modified on September 15, 2026